import { ConditionUtil, FieldUtil, TableUtilImpl, IdType } from 'model-util';
import { DevopsTestCase } from '../models/index';
/**
 * @author auto generate
 * @version 1.0
 * @date 2021-06-08 17:09
 */
interface DevopsTestCaseCU extends ConditionUtil<DevopsTestCaseCU> {
    ID: FieldUtil<DevopsTestCaseCU>;
    CASE_NO: FieldUtil<DevopsTestCaseCU>;
    CASE_NAME: FieldUtil<DevopsTestCaseCU>;
    CASE_TYPE: FieldUtil<DevopsTestCaseCU>;
    CASE_LEVEL: FieldUtil<DevopsTestCaseCU>;
    CASE_MODULE: FieldUtil<DevopsTestCaseCU>;
    CASE_PC_FUNCTION: FieldUtil<DevopsTestCaseCU>;
    CASE_MOBILE_FUNCTION: FieldUtil<DevopsTestCaseCU>;
    CASE_FILE: FieldUtil<DevopsTestCaseCU>;
    BUS_MODULE: FieldUtil<DevopsTestCaseCU>;
    PROJECT: FieldUtil<DevopsTestCaseCU>;
    PROJECT_GROUP: FieldUtil<DevopsTestCaseCU>;
    CREATE_TIME: FieldUtil<DevopsTestCaseCU>;
    UPDATE_TIME: FieldUtil<DevopsTestCaseCU>;
}
declare class DevopsTestCaseMU extends TableUtilImpl<DevopsTestCaseCU, DevopsTestCase> {
    tableName: string;
    tableFields: string[];
    modelFields: string[];
    modelIdFields: string[];
    tableIdFields: string[];
    idType: IdType;
    joinTables: any[];
    subTables: any[];
    createConditionUtil(): DevopsTestCaseCU;
    static get ID(): FieldUtil<DevopsTestCaseCU>;
    static get CASE_NO(): FieldUtil<DevopsTestCaseCU>;
    static get CASE_NAME(): FieldUtil<DevopsTestCaseCU>;
    static get CASE_TYPE(): FieldUtil<DevopsTestCaseCU>;
    static get CASE_LEVEL(): FieldUtil<DevopsTestCaseCU>;
    static get CASE_MODULE(): FieldUtil<DevopsTestCaseCU>;
    static get CASE_PC_FUNCTION(): FieldUtil<DevopsTestCaseCU>;
    static get CASE_MOBILE_FUNCTION(): FieldUtil<DevopsTestCaseCU>;
    static get CASE_FILE(): FieldUtil<DevopsTestCaseCU>;
    static get BUS_MODULE(): FieldUtil<DevopsTestCaseCU>;
    static get PROJECT(): FieldUtil<DevopsTestCaseCU>;
    static get PROJECT_GROUP(): FieldUtil<DevopsTestCaseCU>;
    static get CREATE_TIME(): FieldUtil<DevopsTestCaseCU>;
    static get UPDATE_TIME(): FieldUtil<DevopsTestCaseCU>;
    get ID(): FieldUtil<DevopsTestCaseCU>;
    get CASE_NO(): FieldUtil<DevopsTestCaseCU>;
    get CASE_NAME(): FieldUtil<DevopsTestCaseCU>;
    get CASE_TYPE(): FieldUtil<DevopsTestCaseCU>;
    get CASE_LEVEL(): FieldUtil<DevopsTestCaseCU>;
    get CASE_MODULE(): FieldUtil<DevopsTestCaseCU>;
    get CASE_PC_FUNCTION(): FieldUtil<DevopsTestCaseCU>;
    get CASE_MOBILE_FUNCTION(): FieldUtil<DevopsTestCaseCU>;
    get CASE_FILE(): FieldUtil<DevopsTestCaseCU>;
    get BUS_MODULE(): FieldUtil<DevopsTestCaseCU>;
    get PROJECT(): FieldUtil<DevopsTestCaseCU>;
    get PROJECT_GROUP(): FieldUtil<DevopsTestCaseCU>;
    get CREATE_TIME(): FieldUtil<DevopsTestCaseCU>;
    get UPDATE_TIME(): FieldUtil<DevopsTestCaseCU>;
}
export { DevopsTestCaseMU, DevopsTestCaseCU };
